##
##  scalajs.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg     1.7.1
%define       V_scalajs  1.7.1
%define       V_scala    2.13

#   package information
Name:         scalajs
Summary:      Scala to JavaScript Compiler
URL:          http://www.scala-js.org/
Vendor:       EPFL
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      BSD
Version:      %{V_opkg}
Release:      20211111

#   list of sources
Source0:      http://www.scala-js.org/files/scalajs_%{V_scala}-%{V_scalajs}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK, scala

%description
    Scala.js compiles Scala code to JavaScript, allowing you to write
    your web application entirely in Scala! The main features are:
    support all of Scala (including macros!), modulo a few semantic
    differences; very good interoperability with JavaScript code;
    generates Source Maps for a smooth debugging experience.

%track
    prog scalajs = {
        version   = %{V_scalajs}
        url       = https://github.com/scala-js/scala-js/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    rm -f bin/*.bat

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/scalajs
    cp -rp * \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/scalajs/
    for prog in scalajsc scalajsld scalajsp; do
        (   echo "#!/bin/sh"
            echo "exec %{l_prefix}/libexec/scalajs/bin/$prog \${1+\"\$@\"}"
        ) >$RPM_BUILD_ROOT%{l_prefix}/bin/$prog
        chmod 755 $RPM_BUILD_ROOT%{l_prefix}/bin/$prog
    done
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

